Bug 42517 - sort missorts certain strings
sort missorts certain strings
Status: CLOSED DUPLICATE of bug 42397
Product: Red Hat Linux
Classification: Retired
Component: textutils (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-27 20:19 EDT by Weiqi Gao
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-27 20:19:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Weiqi Gao 2001-05-27 20:19:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.2.16-22 i686; en-US; 0.8.1)
Gecko/20010421

Description of problem:
sort missorts the strings "xxxxxxxxxxxxxxxx~" and "xxxxxxxxxxxxxxxx". (The
first string contains 16 'x's and a tilde.  The second string contains 16
'x's.)

How reproducible:
Always

Steps to Reproduce:
1.run sort
2.type in "xxxxxxxxxxxxxxxx~" and "xxxxxxxxxxxxxxxx" on separate lines
3.type Ctrl-D
	

Actual Results:
xxxxxxxxxxxxxxxx~
xxxxxxxxxxxxxxxx

Expected Results:
xxxxxxxxxxxxxxxx
xxxxxxxxxxxxxxxx~

Additional info:

sort missorts the above strings and strings with 32 'x's, 48 'x's, etc.

This problem was not present on Red Hat Linux 6.2.
Comment 1 Bernhard Rosenkraenzer 2001-05-28 02:44:38 EDT

*** This bug has been marked as a duplicate of 42397 ***

Note You need to log in before you can comment on or make changes to this bug.